class BeispielThread extends Thread {
  
  /* Der Thread wird zwei Sekunden lang ausgefuehrt
  und terminiert dann */
  
  public void run() {
    System.out.println("Thread: Ich laufe an");
    try {
      sleep(2000);
    } catch (java.lang.InterruptedException e) {}
    System.out.println("Thread: Ich terminiere");
  }
  
}

public class ThreadJoin {
  
  public static void main(String[] args) {
    
    /* Erzeugung und Start des Threads */
    BeispielThread t = new BeispielThread();
    t.start();
    
    /* Warten auf das Ende des Threads */
    try {
      t.join();
    } catch (java.lang.InterruptedException e) {}
    System.out.println("main(): Thread ist beendet");
    
  }
  
}