public class CCyclicBarrier {
  
  public static void main(String[] args) {
    final int noOfPlayers=3;
    // Setzt die Zustnde der Spieler
    boolean[] playerState = new boolean[noOfPlayers];
    
    for (int i=1;i<=playerState.length;i++) 
      playerState[i-1]=false;
    for (int i=1;i<=playerState.length ;i++) {
      // Die Variable PlayerState, damit der Zustand ALLER Spieler und die Spielernr wird bergeben
      new CPlayer(playerState, i-1).start();      
      CPlayer x=new CPlayer(playerState, 4);
    } // end of for
  } // end of main
} // end of class CCyclicBarrier

class CPlayer extends Thread {
  // Variable playerState fr die Speicherung des "Zustandes" aller Spieler
  private boolean[] playerState;
  private int noOfThread ;
  // bergabe der playerstate Variable als Referenzvariable= die Variable(Attribut) playerstate hat die gleicher Speicheradresse
  // wie die Variable im Hauptprogramm
  public CPlayer(boolean[] playerState, int noOfThread) {
    // Sichern des Zustandes der Spieler: ber diese Variable "kommunizieren" die Objekte der Klassen
    this.playerState = playerState;
    // Namen des Threads auf 1,2,3, usw. setzen
    setName(String.valueOf(noOfThread));
    this.noOfThread=noOfThread;
  }
  
  public void run() {
    // Gibt den Zustand des Spielers aus
    System.out.println(getName() + " playerState");
    // Gibt den Zustand des Spielers aus
    playerState[noOfThread] = true;
    // Variable fr den GesamtZustand aller Spieler
    boolean playerStateAll;
    do {
      playerStateAll = true;
      for(boolean actPlayerState : playerState) {
        if(!playerStateAll)
          playerStateAll = false;
        else
          playerStateAll = actPlayerState;
      }
      if (!playerStateAll) 
        System.out.println(getName() + " waiting!");
    }while(!playerStateAll); 
    System.out.println(getName() + " start!");
  }
}